/*
 * Copyright (C) MX4J.
 * All rights reserved.
 *
 * This software is distributed under the terms of the MX4J License version 1.0.
 * See the terms of the MX4J License in the documentation provided with this software.
 */
package examples.mbeans.iiop;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.rmi.PortableRemoteObject;


/**
 * @author <a href="mailto:shadow12@users.sourceforge.net">Bronwen Cassidy</a>
 * @version $Revision: 1.4 $
 */
public class IIOPClient
{
    public static void main(String[] args)
    {
		try
		{
			Context ctx = new InitialContext();
			Hello remoteInterface = (Hello)PortableRemoteObject.narrow(ctx.lookup(Hello.IIOP_JNDI_NAME), Hello.class);
			remoteInterface.sayHello("Boys and girls");
		}
		catch(Exception ex)
		{
			ex.printStackTrace();
		}
    }
}
