/*
 * Copyright (C) MX4J.
 * All rights reserved.
 *
 * This software is distributed under the terms of the MX4J License version 1.0.
 * See the terms of the MX4J License in the documentation provided with this software.
 */

package examples.mbeans.rmi;

import java.rmi.RemoteException;
import java.rmi.Remote;

/**
 *
 * @author <a href="mailto:biorn_steedom@users.sourceforge.net">Simone Bordet</a>
 * @version $Revision: 1.2 $
 */
public interface MyRemoteService extends Remote
{
	public static final String JNDI_NAME = "my-service";
	public void sayHello(String name) throws RemoteException;
}
